=== debian/control ===
Source: ros-indigo-crsm-slam
Section: misc
Priority: extra
Maintainer: Manos Tsardoulias <etsardou@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-geometry-msgs, ros-indigo-nav-msgs, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-tf
Homepage: http://ros.org/wiki/crsm_slam
Standards-Version: 3.9.2

Package: ros-indigo-crsm-slam
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-geometry-msgs, ros-indigo-nav-msgs, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-tf
Description: ROS package for the CRSM SLAM (Critical Rays Scan Match Simultaneous Localization And Mapping)
